{
	// Place your lesson-management workspace snippets here. Each snippet is defined under a snippet name and has a scope, prefix, body and 
	// description. Add comma separated ids of the languages where the snippet is applicable in the scope field. If scope 
	// is left empty or omitted, the snippet gets applied to all languages. The prefix is what is 
	// used to trigger the snippet and the body will be expanded and inserted. Possible variables are: 
	// $1, $2 for tab stops, $0 for the final cursor position, and ${1:label}, ${2:another} for placeholders. 
	// Placeholders with the same ids are connected.

	"Boilerplate": {
		"scope": "scss",
		"prefix": "boiler",
		"body": [
			"@use '/src/mainColor' as *;",
			"",
			".light-mode {",
				"\t.$1 {",
				"\t}",
			"}",
			".dark-mode {",
				"\t.$1 {",
				"\t}",
			"}",
			"",
			".$1 {",
			"\t$2",
			"}"
		],
		"description": "Boilerplate"
	},

  "Use Main Color": {
		"scope": "scss",
		"prefix": "usemaincolor",
		"body": [
			"@use '/src/mainColor' as *;$1",
		],
		"description": "Use Main Color"
	},

  "Main Color Function": {
		"scope": "scss",
		"prefix": "mainColor",
		"body": [
			"mainColor($1%);",
		],
		"description": "Main Color Function"
	},

  "Main Color Function With Interpolation": {
		"scope": "scss",
		"prefix": "#mainColor",
		"body": [
			"#{mainColor($1%)};",
		],
		"description": "Main Color Function With Interpolation"
	},

	"Flex Center": {
		"scope": "scss",
		"prefix": "fcenter",
		"body": [
			"display: flex;",
			"justify-content: center;",
			"align-items: center;",
			"$1"
		],
		"description": "Flex Center"
	},

	"Flex Column": {
		"scope": "scss",
		"prefix": "fcolumn",
		"body": [
			"display: flex;",
			"flex-direction: column;",
			"align-items: center;",
			"$1"
		],
		"description": "Flex Column"
	}

}